library(VGAM)
library(MASS)
library(texreg)
library(sandwich)
library(dplyr)
library(reshape2)
library(ggplot2)
options(stringsAsFactors=TRUE)

extract.vglm <- function(model) {
    s <- summary(model)@coef3
    co <- s[, 1]
    se <- s[, 2]
    pval <- s[, 3]
    names <- row.names(s)
    tr <- createTexreg(
        coef.names = names,
        coef = co,
        se = se,
        pvalues = pval
    )
    return(tr)
}
setMethod("extract", signature = className("vglm", "stats"), definition = extract.vglm)
